#include <iostream> 
using namespace std;

int main()
{
	int N;
	int poz = -2;
	long int L;
	long int H [N];
    cin>>N>>L;
    for(int i =0;i <N;i++)
    {
    	cin>>H[i];
	}
	for(int i =0;i<N;i++)
	{
		if(L>=H[i]&&poz==-2)
		{
			poz=i;
		}
	}
	cout<<poz+1;
}